import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Die Weltklasse des Spiels
 * 
 * @author Marek , Felix 
 * @version 12.05.14
 */
public class TeD_World extends World
{
    /** 
     *Legt die Anzahl der Pixel pro Rasterquadrat fest
     */
    public static final double PIX = 61.0; 
    
    /** 
     *Breite des Baumenüs
     */
    public static final double BREITEBEUMENUE = 244.0; 
    
    /** 
     *Anzahl der Zellen in X-Richtung
     */
    public static final double NX  = 13.0;

    /** 
     *Anzahl der Zellen in Y-Richtung
     */
    public static final double NY  = 13.0;
    
    public static Spieleverwaltung SPIELEVERWALTUNG = new Spieleverwaltung();
    
    public static final double X = PIX*NX;
    
    public static final double Y = PIX*NY;
    
    /**
     *Bilder des Hintergrundes
     */
    public static final GreenfootImage B_RASEN              = new GreenfootImage("karte/rasen.png");
    public static final GreenfootImage B_WEG_S              = new GreenfootImage("karte/weg_OU.png");
    public static final GreenfootImage B_WEG_W              = new GreenfootImage("karte/weg_LR.png");
    public static final GreenfootImage B_KU_R_U             = new GreenfootImage("karte/weg_OR.png");
    public static final GreenfootImage B_KU_R_O             = new GreenfootImage("karte/weg_RU.png");
    public static final GreenfootImage B_KU_L_U             = new GreenfootImage("karte/weg_OL.png");
    public static final GreenfootImage B_KU_L_O             = new GreenfootImage("karte/weg_LU.png");
    public static final GreenfootImage B_START              = new GreenfootImage("karte/start.png");
    public static final GreenfootImage B_ZIEL               = new GreenfootImage("karte/ziel.png");
    
    public static final GreenfootImage B_WASSER_LO          = new GreenfootImage("karte/wasser_LO.png");
    public static final GreenfootImage B_WASSER_MO          = new GreenfootImage("karte/wasser_MO.png");
    public static final GreenfootImage B_WASSER_RO          = new GreenfootImage("karte/wasser_RO.png");
    public static final GreenfootImage B_WASSER_LM          = new GreenfootImage("karte/wasser_LM.png");
    public static final GreenfootImage B_WASSER_MM          = new GreenfootImage("karte/wasser_MM.png");
    public static final GreenfootImage B_WASSER_RM          = new GreenfootImage("karte/wasser_RM.png");
    public static final GreenfootImage B_WASSER_LU          = new GreenfootImage("karte/wasser_LU.png");
    public static final GreenfootImage B_WASSER_MU          = new GreenfootImage("karte/wasser_MU.png");
    public static final GreenfootImage B_WASSER_RU          = new GreenfootImage("karte/wasser_RU.png");
    
    /**
     *Bilder des Rasters
     */
    public static final GreenfootImage RASTER               = new GreenfootImage("raster/raster.png");
    public static final GreenfootImage RASTER_JA            = new GreenfootImage("raster/raster_ja.png");
    public static final GreenfootImage RASTER_NO            = new GreenfootImage("raster/raster_no.png");
   
    /**
     *Bilder der Monster
     */
    public static final GreenfootImage B_MONSTER_1          = new GreenfootImage("monster/spider.png");
    public static final GreenfootImage B_MONSTER_2          = new GreenfootImage("monster/monster1.png");
    public static final GreenfootImage B_MONSTER_3          = new GreenfootImage("monster/monster2.png");
    //public static final GreenfootImage B_MONSTER_4          = new GreenfootImage("monster/monster3.png");
    public static final GreenfootImage B_MONSTER_5          = new GreenfootImage("monster/monster4.png");
    //public static final GreenfootImage B_MONSTER_6          = new GreenfootImage("monster/monster5.png");
    
    
    
    /**
     *Bilder der Tower
     */
    public static final GreenfootImage B_TOWERBODEN_Z1      = new GreenfootImage("türme/tower_mittelalter.png");
    public static final GreenfootImage B_TOWERBODEN_Z2      = new GreenfootImage("türme/Tower_Zukunft.png");
    public static final GreenfootImage B_TOWER_PIC          = new GreenfootImage("türme/Tower_2.png");
    public static final GreenfootImage B_PECH_PIC           = new GreenfootImage("wegelagerer/Pechkessel_Icon.png");
    
    public static final GreenfootImage B_WEGLAGER_Z1_1      = new GreenfootImage("wegelagerer/Pech_0.png");
    public static final GreenfootImage B_WEGLAGER_Z1_2      = new GreenfootImage("wegelagerer/Pech_1.png");
    public static final GreenfootImage B_WEGLAGER_Z1_3      = new GreenfootImage("wegelagerer/Pech_2.png");
    
    public static final GreenfootImage B_WEGLAGER_Z2_1      = new GreenfootImage("wegelagerer/Nagelbrett.png");

    
    public static final GreenfootImage B_WEGLAGER_Z3_1      = new GreenfootImage("wegelagerer/Gefrierfeld_0.png");
    public static final GreenfootImage B_WEGLAGER_Z3_2      = new GreenfootImage("wegelagerer/Gefrierfeld_1.png");
    public static final GreenfootImage B_WEGLAGER_Z3_3      = new GreenfootImage("wegelagerer/Gefrierfeld_2.png");
    
    public static final GreenfootImage B_T1_AN_0            = new GreenfootImage("türme/bogen/Bogen_Nord_0.png");
    public static final GreenfootImage B_T1_AN_1            = new GreenfootImage("türme/bogen/Bogen_Nord_1.png");
    public static final GreenfootImage B_T1_AN_2            = new GreenfootImage("türme/bogen/Bogen_Nord_2.png");
    public static final GreenfootImage B_T1_AN_3            = new GreenfootImage("türme/bogen/Bogen_Nord_3.png");
    public static final GreenfootImage B_T1_AS_0            = new GreenfootImage("türme/bogen/Bogen_Süd_0.png");
    public static final GreenfootImage B_T1_AS_1            = new GreenfootImage("türme/bogen/Bogen_Süd_1.png");
    public static final GreenfootImage B_T1_AS_2            = new GreenfootImage("türme/bogen/Bogen_Süd_2.png");
    public static final GreenfootImage B_T1_AS_3            = new GreenfootImage("türme/bogen/Bogen_Süd_3.png");
    public static final GreenfootImage B_T1_AW_0            = new GreenfootImage("türme/bogen/Bogen_West_0.png");
    public static final GreenfootImage B_T1_AW_1            = new GreenfootImage("türme/bogen/Bogen_West_1.png");
    public static final GreenfootImage B_T1_AW_2            = new GreenfootImage("türme/bogen/Bogen_West_2.png");
    public static final GreenfootImage B_T1_AW_3            = new GreenfootImage("türme/bogen/Bogen_West_3.png");
    public static final GreenfootImage B_T1_AO_0            = new GreenfootImage("türme/bogen/Bogen_Ost_0.png");
    public static final GreenfootImage B_T1_AO_1            = new GreenfootImage("türme/bogen/Bogen_Ost_1.png");
    public static final GreenfootImage B_T1_AO_2            = new GreenfootImage("türme/bogen/Bogen_Ost_2.png");
    public static final GreenfootImage B_T1_AO_3            = new GreenfootImage("türme/bogen/Bogen_Ost_3.png");
    
    public static final GreenfootImage B_T2_AN_0            = new GreenfootImage("türme/katapult/Katapult_Nord_0.png");
    public static final GreenfootImage B_T2_AN_1            = new GreenfootImage("türme/katapult/Katapult_Nord_1.png");
    public static final GreenfootImage B_T2_AN_2            = new GreenfootImage("türme/katapult/Katapult_Nord_2.png");
    public static final GreenfootImage B_T2_AN_3            = new GreenfootImage("türme/katapult/Katapult_Nord_3.png");
    public static final GreenfootImage B_T2_AN_4            = new GreenfootImage("türme/katapult/Katapult_Nord_4.png");
    public static final GreenfootImage B_T2_AN_5            = new GreenfootImage("türme/katapult/Katapult_Nord_5.png");
    public static final GreenfootImage B_T2_AS_0            = new GreenfootImage("türme/katapult/Katapult_Süd_0.png");
    public static final GreenfootImage B_T2_AS_1            = new GreenfootImage("türme/katapult/Katapult_Süd_1.png");
    public static final GreenfootImage B_T2_AS_2            = new GreenfootImage("türme/katapult/Katapult_Süd_2.png");
    public static final GreenfootImage B_T2_AS_3            = new GreenfootImage("türme/katapult/Katapult_Süd_3.png");
    public static final GreenfootImage B_T2_AS_4            = new GreenfootImage("türme/katapult/Katapult_Süd_4.png");
    public static final GreenfootImage B_T2_AS_5            = new GreenfootImage("türme/katapult/Katapult_Süd_5.png");
    public static final GreenfootImage B_T2_AW_0            = new GreenfootImage("türme/katapult/Katapult_West_0.png");
    public static final GreenfootImage B_T2_AW_1            = new GreenfootImage("türme/katapult/Katapult_West_1.png");
    public static final GreenfootImage B_T2_AW_2            = new GreenfootImage("türme/katapult/Katapult_West_2.png");
    public static final GreenfootImage B_T2_AW_3            = new GreenfootImage("türme/katapult/Katapult_West_3.png");
    public static final GreenfootImage B_T2_AW_4            = new GreenfootImage("türme/katapult/Katapult_West_4.png");
    public static final GreenfootImage B_T2_AW_5            = new GreenfootImage("türme/katapult/Katapult_West_5.png");
    public static final GreenfootImage B_T2_AO_0            = new GreenfootImage("türme/katapult/Katapult_Ost_0.png");
    public static final GreenfootImage B_T2_AO_1            = new GreenfootImage("türme/katapult/Katapult_Ost_1.png");
    public static final GreenfootImage B_T2_AO_2            = new GreenfootImage("türme/katapult/Katapult_Ost_2.png");
    public static final GreenfootImage B_T2_AO_3            = new GreenfootImage("türme/katapult/Katapult_Ost_3.png");
    public static final GreenfootImage B_T2_AO_4            = new GreenfootImage("türme/katapult/Katapult_Ost_4.png");
    public static final GreenfootImage B_T2_AO_5            = new GreenfootImage("türme/katapult/Katapult_Ost_5.png");
    
    public static final GreenfootImage B_T4_AS_0            = new GreenfootImage("türme/geschütz/Geschütz_Vorne.png");
    public static final GreenfootImage B_T4_AS_1            = new GreenfootImage("türme/geschütz/Geschütz_Vorne_Feuer.png");
    public static final GreenfootImage B_T4_AW_0            = new GreenfootImage("türme/geschütz/Geschütz_Links.png");
    public static final GreenfootImage B_T4_AW_1            = new GreenfootImage("türme/geschütz/Geschütz_Links_Feuer.png");
    public static final GreenfootImage B_T4_AO_0            = new GreenfootImage("türme/geschütz/Geschütz_Rechts.png");
    public static final GreenfootImage B_T4_AO_1            = new GreenfootImage("türme/geschütz/Geschütz_Rechts_Feuer.png");
    public static final GreenfootImage B_T4_AN_0            = new GreenfootImage("türme/geschütz/Geschütz_Hinten.png");
    public static final GreenfootImage B_T4_AN_1            = new GreenfootImage("türme/geschütz/Geschütz_Hinten_Feuer.png");
    
    public static final GreenfootImage B_T5_AS_0            = new GreenfootImage("türme/Mörser/Mörser_Turm.png");
    public static final GreenfootImage B_T5_AS_1            = new GreenfootImage("türme/Mörser/Mörser_Turm_Schuss.png");
    
    public static final GreenfootImage B_T6_AS_0            = new GreenfootImage("türme/Sniper/Sniper_Vorne.png");
    public static final GreenfootImage B_T6_AS_1            = new GreenfootImage("türme/Sniper/Sniper_Vorne_Feuer.png");
    public static final GreenfootImage B_T6_AO_0            = new GreenfootImage("türme/Sniper/Sniper_Links.png");
    public static final GreenfootImage B_T6_AO_1            = new GreenfootImage("türme/Sniper/Sniper_Links_Feuer.png");
    public static final GreenfootImage B_T6_AW_0            = new GreenfootImage("türme/Sniper/Sniper_Rechts.png");
    public static final GreenfootImage B_T6_AW_1            = new GreenfootImage("türme/Sniper/Sniper_Rechts_Feuer.png");
    public static final GreenfootImage B_T6_AN_0            = new GreenfootImage("türme/Sniper/Sniper_Hinten.png");
    public static final GreenfootImage B_T6_AN_1            = new GreenfootImage("türme/Sniper/Sniper_Hinten_Feuer.png");
    
    public static final GreenfootImage B_T7_AN_0            = new GreenfootImage("türme/Lasergeschütz/Lasergeschütz_Nord_0.png");
    public static final GreenfootImage B_T7_AN_1            = new GreenfootImage("türme/Lasergeschütz/Lasergeschütz_Nord_1.png");
    public static final GreenfootImage B_T7_AN_2            = new GreenfootImage("türme/Lasergeschütz/Lasergeschütz_Nord_2.png");
    public static final GreenfootImage B_T7_AN_3            = new GreenfootImage("türme/Lasergeschütz/Lasergeschütz_Nord_3.png");
    public static final GreenfootImage B_T7_AS_0            = new GreenfootImage("türme/Lasergeschütz/Lasergeschütz_Süd_0.png");
    public static final GreenfootImage B_T7_AS_1            = new GreenfootImage("türme/Lasergeschütz/Lasergeschütz_Süd_1.png");
    public static final GreenfootImage B_T7_AS_2            = new GreenfootImage("türme/Lasergeschütz/Lasergeschütz_Süd_2.png");
    public static final GreenfootImage B_T7_AS_3            = new GreenfootImage("türme/Lasergeschütz/Lasergeschütz_Süd_3.png");
    public static final GreenfootImage B_T7_AW_0            = new GreenfootImage("türme/Lasergeschütz/Lasergeschütz_West_0.png");
    public static final GreenfootImage B_T7_AW_1            = new GreenfootImage("türme/Lasergeschütz/Lasergeschütz_West_1.png");
    public static final GreenfootImage B_T7_AW_2            = new GreenfootImage("türme/Lasergeschütz/Lasergeschütz_West_2.png");
    public static final GreenfootImage B_T7_AW_3            = new GreenfootImage("türme/Lasergeschütz/Lasergeschütz_West_3.png");
    public static final GreenfootImage B_T7_AO_0            = new GreenfootImage("türme/Lasergeschütz/Lasergeschütz_Ost_0.png");
    public static final GreenfootImage B_T7_AO_1            = new GreenfootImage("türme/Lasergeschütz/Lasergeschütz_Ost_1.png");
    public static final GreenfootImage B_T7_AO_2            = new GreenfootImage("türme/Lasergeschütz/Lasergeschütz_Ost_2.png");
    public static final GreenfootImage B_T7_AO_3            = new GreenfootImage("türme/Lasergeschütz/Lasergeschütz_Ost_3.png");
    
    public static final GreenfootImage B_T8_AN_0            = new GreenfootImage("türme/raketenwerfer/Raketenwerfer_Nord_0.png");
    public static final GreenfootImage B_T8_AN_1            = new GreenfootImage("türme/raketenwerfer/Raketenwerfer_Nord_1.png");
    public static final GreenfootImage B_T8_AN_2            = new GreenfootImage("türme/raketenwerfer/Raketenwerfer_Nord_2.png");
    public static final GreenfootImage B_T8_AN_3            = new GreenfootImage("türme/raketenwerfer/Raketenwerfer_Nord_3.png");
    public static final GreenfootImage B_T8_AS_0            = new GreenfootImage("türme/raketenwerfer/Raketenwerfer_Süd_0.png");
    public static final GreenfootImage B_T8_AS_1            = new GreenfootImage("türme/raketenwerfer/Raketenwerfer_Süd_1.png");
    public static final GreenfootImage B_T8_AS_2            = new GreenfootImage("türme/raketenwerfer/Raketenwerfer_Süd_2.png");
    public static final GreenfootImage B_T8_AS_3            = new GreenfootImage("türme/raketenwerfer/Raketenwerfer_Süd_3.png");
    public static final GreenfootImage B_T8_AW_0            = new GreenfootImage("türme/raketenwerfer/Raketenwerfer_West_0.png");
    public static final GreenfootImage B_T8_AW_1            = new GreenfootImage("türme/raketenwerfer/Raketenwerfer_West_1.png");
    public static final GreenfootImage B_T8_AW_2            = new GreenfootImage("türme/raketenwerfer/Raketenwerfer_West_2.png");
    public static final GreenfootImage B_T8_AW_3            = new GreenfootImage("türme/raketenwerfer/Raketenwerfer_West_3.png");
    public static final GreenfootImage B_T8_AO_0            = new GreenfootImage("türme/raketenwerfer/Raketenwerfer_Ost_0.png");
    public static final GreenfootImage B_T8_AO_1            = new GreenfootImage("türme/raketenwerfer/Raketenwerfer_Ost_1.png");
    public static final GreenfootImage B_T8_AO_2            = new GreenfootImage("türme/raketenwerfer/Raketenwerfer_Ost_2.png");
    public static final GreenfootImage B_T8_AO_3            = new GreenfootImage("türme/raketenwerfer/Raketenwerfer_Ost_3.png");
    
    public static final GreenfootImage B_T9_AN_0            = new GreenfootImage("türme/Lasersniper/Lasersniper_Nord_0.png");
    public static final GreenfootImage B_T9_AN_1            = new GreenfootImage("türme/Lasersniper/Lasersniper_Nord_1.png");
    public static final GreenfootImage B_T9_AN_2            = new GreenfootImage("türme/Lasersniper/Lasersniper_Nord_2.png");
    public static final GreenfootImage B_T9_AN_3            = new GreenfootImage("türme/Lasersniper/Lasersniper_Nord_3.png");
    public static final GreenfootImage B_T9_AS_0            = new GreenfootImage("türme/Lasersniper/Lasersniper_Süd_0.png");
    public static final GreenfootImage B_T9_AS_1            = new GreenfootImage("türme/Lasersniper/Lasersniper_Süd_1.png");
    public static final GreenfootImage B_T9_AS_2            = new GreenfootImage("türme/Lasersniper/Lasersniper_Süd_2.png");
    public static final GreenfootImage B_T9_AS_3            = new GreenfootImage("türme/Lasersniper/Lasersniper_Süd_3.png");
    public static final GreenfootImage B_T9_AW_0            = new GreenfootImage("türme/Lasersniper/Lasersniper_West_0.png");
    public static final GreenfootImage B_T9_AW_1            = new GreenfootImage("türme/Lasersniper/Lasersniper_West_1.png");
    public static final GreenfootImage B_T9_AW_2            = new GreenfootImage("türme/Lasersniper/Lasersniper_West_2.png");
    public static final GreenfootImage B_T9_AW_3            = new GreenfootImage("türme/Lasersniper/Lasersniper_West_3.png");
    public static final GreenfootImage B_T9_AO_0            = new GreenfootImage("türme/Lasersniper/Lasersniper_Ost_0.png");
    public static final GreenfootImage B_T9_AO_1            = new GreenfootImage("türme/Lasersniper/Lasersniper_Ost_1.png");
    public static final GreenfootImage B_T9_AO_2            = new GreenfootImage("türme/Lasersniper/Lasersniper_Ost_2.png");
    public static final GreenfootImage B_T9_AO_3            = new GreenfootImage("türme/Lasersniper/Lasersniper_Ost_3.png");
   
    
    /**
     *Bilder der Munition
     */
    public static final GreenfootImage B_MUN_1              = new GreenfootImage("munition/Bogen_Munition.png");
    public static final GreenfootImage B_MUN_2              = new GreenfootImage("munition/Katapult_Munition.png");
    public static final GreenfootImage B_MUN_2_A1           = new GreenfootImage("munition/Katapult_Auftreffen_0.png");
    public static final GreenfootImage B_MUN_2_A2           = new GreenfootImage("munition/Katapult_Auftreffen_1.png");
    public static final GreenfootImage B_MUN_2_A3           = new GreenfootImage("munition/Katapult_Auftreffen_2.png");
    public static final GreenfootImage B_MUN_3              = new GreenfootImage("munition/Steinschleuder_Munition.png");
    public static final GreenfootImage B_MUN_4              = new GreenfootImage("munition/strahl.png");
    public static final GreenfootImage B_MUN_5              = new GreenfootImage("munition/Lasergeschütz_Munition.png");
    public static final GreenfootImage B_MUN_6              = new GreenfootImage("munition/Raketenwerfer_Munition.png");
    public static final GreenfootImage B_MUN_6_A1           = new GreenfootImage("munition/Raketenwerfer_Eintreffen_0.png");
    public static final GreenfootImage B_MUN_6_A2           = new GreenfootImage("munition/Raketenwerfer_Eintreffen_1.png");
    public static final GreenfootImage B_MUN_6_A3           = new GreenfootImage("munition/Raketenwerfer_Eintreffen_2.png");
    
    /**
     *Bilder der Hintergründe
     */
    public static final GreenfootImage B_MAPEDITOR          = new GreenfootImage("hintergrund/background_mapeditor.png");
    public static final GreenfootImage B_MAINMENUE          = new GreenfootImage("hintergrund/main_menu.png");
    public static final GreenfootImage B_BUILDMENUE         = new GreenfootImage("hintergrund/build_menu.png");
    public static final GreenfootImage B_UPGRADEDMENUE      = new GreenfootImage("hintergrund/upgrade_menu.png");
    public static final GreenfootImage B_GAMEOVERMENUE      = new GreenfootImage("hintergrund/gameover_menu.png");
    public static final GreenfootImage B_WHITE              = new GreenfootImage("hintergrund/white_screen.png");
    
    /**
     *Bilder der Button
     */
    
    public static final GreenfootImage B_BUT_SG               = new GreenfootImage("buttons/but_startgame.png");
    public static final GreenfootImage B_BUT_SG_PRESSED       = new GreenfootImage("buttons/but_startgame_pressed.png");
    public static final GreenfootImage B_BUT_SG_LOCKED        = new GreenfootImage("buttons/but_startgame_pressed.png");
    public static final GreenfootImage B_BUT_FF               = new GreenfootImage("buttons/but_fastforward.png");
    public static final GreenfootImage B_BUT_FF_PRESSED       = new GreenfootImage("buttons/but_fastforward_pressed.png");
    public static final GreenfootImage B_BUT_FF_LOCKED        = new GreenfootImage("buttons/but_fastforward_pressed.png");
    public static final GreenfootImage B_BUT_PG               = new GreenfootImage("buttons/but_pausegame.png");
    public static final GreenfootImage B_BUT_PG_PRESSED       = new GreenfootImage("buttons/but_pausegame_pressed.png");
    public static final GreenfootImage B_BUT_PG_LOCKED        = new GreenfootImage("buttons/but_pausegame_pressed.png");
    public static final GreenfootImage B_BUT_SM               = new GreenfootImage("buttons/but_selectmap.png");
    public static final GreenfootImage B_BUT_SM_PRESSED       = new GreenfootImage("buttons/but_selectmap_pressed.png");
    public static final GreenfootImage B_BUT_SM_LOCKED        = new GreenfootImage("buttons/but_selectmap_pressed.png");
    public static final GreenfootImage B_BUT_UP               = new GreenfootImage("buttons/but_upgrade.png");
    public static final GreenfootImage B_BUT_UP_PRESSED       = new GreenfootImage("buttons/but_upgrade_pressed.png");
    public static final GreenfootImage B_BUT_UP_LOCKED        = new GreenfootImage("buttons/but_upgrade_locked.png");
    public static final GreenfootImage B_BUT_EF               = new GreenfootImage("buttons/but_entfernen.png");
    public static final GreenfootImage B_BUT_EF_PRESSED       = new GreenfootImage("buttons/but_entfernen_pressed.png");
    public static final GreenfootImage B_BUT_EF_LOCKED        = new GreenfootImage("buttons/but_entfernen_pressed.png");
    public static final GreenfootImage B_BUT_MM               = new GreenfootImage("buttons/but_mainmenu.png");
    public static final GreenfootImage B_BUT_MM_PRESSED       = new GreenfootImage("buttons/but_mainmenu_pressed.png");
    public static final GreenfootImage B_BUT_MM_LOCKED        = new GreenfootImage("buttons/but_mainmenu_pressed.png");
    public static final GreenfootImage B_BUT_CO               = new GreenfootImage("buttons/but_continue.png");
    public static final GreenfootImage B_BUT_CO_PRESSED       = new GreenfootImage("buttons/but_continue_pressed.png");
    public static final GreenfootImage B_BUT_CO_LOCKED        = new GreenfootImage("buttons/but_continue_pressed.png");
    
    public static final GreenfootImage B_BUT_T1               = new GreenfootImage("buttons/bogen_untouched.png");
    public static final GreenfootImage B_BUT_T1_PRESSED       = new GreenfootImage("buttons/bogen_clicked.png");
    public static final GreenfootImage B_BUT_T1_LOCKED        = new GreenfootImage("buttons/bogen_locked.png");
    
    public static final GreenfootImage B_BUT_T2               = new GreenfootImage("buttons/katapult_untouched.png");
    public static final GreenfootImage B_BUT_T2_PRESSED       = new GreenfootImage("buttons/katapult_clicked.png");
    public static final GreenfootImage B_BUT_T2_LOCKED        = new GreenfootImage("buttons/katapult_locked.png");
    
    public static final GreenfootImage B_BUT_T3               = new GreenfootImage("buttons/bogen_untouched.png");
    public static final GreenfootImage B_BUT_T3_PRESSED       = new GreenfootImage("buttons/bogen_clicked.png");
    public static final GreenfootImage B_BUT_T3_LOCKED        = new GreenfootImage("buttons/bogen_locked.png");
    
    public static final GreenfootImage B_BUT_W1               = new GreenfootImage("buttons/wege1_untouched.png");
    public static final GreenfootImage B_BUT_W1_PRESSED       = new GreenfootImage("buttons/wege1_pressed.png");
    public static final GreenfootImage B_BUT_W1_LOCKED        = new GreenfootImage("buttons/wege1_locked.png");
    
    public static final GreenfootImage B_BUT_W2               = new GreenfootImage("buttons/wege2_untouched.png");
    public static final GreenfootImage B_BUT_W2_PRESSED       = new GreenfootImage("buttons/wege2_pressed.png");
    public static final GreenfootImage B_BUT_W2_LOCKED        = new GreenfootImage("buttons/wege2_locked.png");
    
    public static final GreenfootImage B_BUT_W3               = new GreenfootImage("buttons/wege3_untouched.png");
    public static final GreenfootImage B_BUT_W3_PRESSED       = new GreenfootImage("buttons/wege3_pressed.png");
    public static final GreenfootImage B_BUT_W3_LOCKED        = new GreenfootImage("buttons/wege3_locked.png");
    
    public static final GreenfootImage B_BUT_M1               = new GreenfootImage("buttons/but_map1.png");
    public static final GreenfootImage B_BUT_M1_PRESSED       = new GreenfootImage("buttons/but_map1_pressed.png");
    public static final GreenfootImage B_BUT_M1_LOCKED        = new GreenfootImage("buttons/but_map1_locked.png");
    public static final GreenfootImage B_BUT_M2               = new GreenfootImage("buttons/but_map2.png");
    public static final GreenfootImage B_BUT_M2_PRESSED       = new GreenfootImage("buttons/but_map2_pressed.png");
    public static final GreenfootImage B_BUT_M2_LOCKED        = new GreenfootImage("buttons/but_map2_locked.png");
    public static final GreenfootImage B_BUT_M3               = new GreenfootImage("buttons/but_map3.png");
    public static final GreenfootImage B_BUT_M3_PRESSED       = new GreenfootImage("buttons/but_map3_pressed.png");
    public static final GreenfootImage B_BUT_M3_LOCKED        = new GreenfootImage("buttons/but_map3_locked.png");
    public static final GreenfootImage B_BUT_M4               = new GreenfootImage("buttons/but_map4.png");
    public static final GreenfootImage B_BUT_M4_PRESSED       = new GreenfootImage("buttons/but_map4_pressed.png");
    public static final GreenfootImage B_BUT_M4_LOCKED        = new GreenfootImage("buttons/but_map4_locked.png");
    public static final GreenfootImage B_BUT_M5               = new GreenfootImage("buttons/but_map5.png");
    public static final GreenfootImage B_BUT_M5_PRESSED       = new GreenfootImage("buttons/but_map5_pressed.png");
    public static final GreenfootImage B_BUT_M5_LOCKED        = new GreenfootImage("buttons/but_map5_locked.png");
    public static final GreenfootImage B_BUT_M6               = new GreenfootImage("buttons/but_map6.png");
    public static final GreenfootImage B_BUT_M6_PRESSED       = new GreenfootImage("buttons/but_map6_pressed.png");
    public static final GreenfootImage B_BUT_M6_LOCKED        = new GreenfootImage("buttons/but_map6_locked.png");
    public static final GreenfootImage B_BUT_M7               = new GreenfootImage("buttons/but_map7.png");
    public static final GreenfootImage B_BUT_M7_PRESSED       = new GreenfootImage("buttons/but_map7_pressed.png");
    public static final GreenfootImage B_BUT_M7_LOCKED        = new GreenfootImage("buttons/but_map7_locked.png");
    public static final GreenfootImage B_BUT_M8               = new GreenfootImage("buttons/but_map8.png");
    public static final GreenfootImage B_BUT_M8_PRESSED       = new GreenfootImage("buttons/but_map8_pressed.png");
    public static final GreenfootImage B_BUT_M8_LOCKED        = new GreenfootImage("buttons/but_map8_locked.png");
   
    /**
     *Sonstige
     */
    public static final GreenfootImage LEER                 = new GreenfootImage("tranzparenz.png");
    public static final GreenfootImage NOIMAGE              = new GreenfootImage("sonstige/nI.png");
    
    
    public static final GreenfootSound M_MENUE              = new GreenfootSound("musik/menümusik.mp3");
    public static final GreenfootSound M_HINTERGRUND        = new GreenfootSound("musik/hintergrund.mp3");
    public static final GreenfootSound M_KLICK              = new GreenfootSound("sonstiges/klick.mp3");
   
    public static final GreenfootSound M_WEGLAGER_Z1        = new GreenfootSound("wegelagerer/Pechkessel_als_loop.mp3");
    public static final GreenfootSound M_WEGLAGER_Z2        = new GreenfootSound("wegelagerer/Nagelbrett.mp3");
    public static final GreenfootSound M_WEGLAGER_Z3        = new GreenfootSound("wegelagerer/Gefrierstrahl.mp3");
    
    
    
    public static final GreenfootSound NOSOUND              = new GreenfootSound("sonstiges/nosound.mp3");
   
    
    
    public TeD_World()
    {    
        super( (int)((PIX*NX)+BREITEBEUMENUE) , (int)(PIX*NY) , 1); // Erzeugt die Welt
        this.addObject( SPIELEVERWALTUNG , (int)((PIX*NX)/2) , (int)((PIX*NY)/2) );
        setPaintOrder(Button.class,Munition.class,Towers.class,Point.class,Bar.class,Monsters.class,Wegelagerer.class);
    }
    
    /**
     * Berechnet aus der Zelle den links oberen Pixel der Zelle
     */
    public static int cellToPixD( int X ) 
    {
        double d = (double) X;
        return (int) ( TeD_World.PIX * ( d - 1 ) );
    }
    
    /**
     * Berechnet aus der Zelle den mittleren Pixel der Zelle
     */
    public static int cellToPixM( int X )
    {
        double d = (double) X;
        return (int) ( ( TeD_World.PIX * ( d - 1 ) ) + ( TeD_World.PIX / 2 ) );
    }
    
    /**
     * Berechnet die Zelle in der sich ein Pixel befindet
     */
    public static int pixToCell( int X ) 
    {
        double d = (double) X;
        return (int)Math.ceil( (double)(d / TeD_World.PIX) );
    }
}
